Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043047
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-29 11:012020-02-26 18:31
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision292a1b2ca974
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043047: Apply new HQL Style in CostingRuleProcess.java

DescriptionCostingRuleProcess.java has 10 HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0117641)
inigo_lerga (developer)
2020-02-11 14:48
edited on: 2020-02-11 14:49

--Test Plan Mantis HQL queries--
Part of the modified hqls in this Issue can be executed
running the JUnit tests found in the TestCosting.java file.

#In this moment the modified HQLs are executed#


For the rest of them:
As the F&B International Group Admin role:
    - Create a new Organization wit the Initial Organization Setup.
      It ust be a Legal with accounting with F&B International Group
      as parent organization.
Log out and log in with the user for the preciously created Organization.
    - Enable Core functionality in Enterprise Module Management
    - Allow period control in the Organization and create a Calendar with
      an open period for this month.
    - Create a Business Partner with Vendor/Creditor capabilities.
    - Log out and Log in
    - Define a warehouse and assign it to this organization.
    - Define a payment method and assign it to this organization.
    - Define a Price List
    - Define a Tax Category
    - Create a new product
    - Define a Tax Rate
    - Create a new Purchase Order with the date of yesterday the desired amount
      of the previosly created product and the rest of the above parameters
      created/defined.
      Book the Purchase.
    - Create the corresponding Goods receipt and Purchase Invoice for the
      Purchase Order with the date of yesterday.
    - Create a Costing Rule with the Starting Date of today and the rest of fields as default.
      
    #In this moment the modified HQLs are executed#

(0118131)
hgbot (developer)
2020-02-26 18:31

Repository: erp/devel/pi
Changeset: 292a1b2ca9748ecd9eb59493ba0c49776a99ba3c
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Tue Feb 11 14:50:08 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/292a1b2ca9748ecd9eb59493ba0c49776a99ba3c [^]

fixes BUG-43047:Applied new HQL Style

---
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0118132)
hgbot (developer)
2020-02-26 18:31

Repository: erp/devel/pi
Changeset: 90c38ad9f92471d1516f3db1d92a7b67d576fa65
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Tue Feb 11 16:39:51 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/90c38ad9f92471d1516f3db1d92a7b67d576fa65 [^]

related to ISSUE-43047: Applied Sonarlint suggestions

---
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0118133)
hgbot (developer)
2020-02-26 18:31

Repository: erp/devel/pi
Changeset: e5a08609ddd0313da5fec6a63f61190b854c891c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Feb 26 18:30:53 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e5a08609ddd0313da5fec6a63f61190b854c891c [^]

Related to ISSUE-43047. Code Review changes:
Modified queries to have only three columns in select and insert clauses.
Having more columns than three makes it harder to understand which value
corresponds to which column.

---
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0118134)
dmiguelez (developer)
2020-02-26 18:31

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-29 11:01 inigo_lerga New Issue
2020-01-29 11:01 inigo_lerga Assigned To => inigo_lerga
2020-01-29 11:01 inigo_lerga Modules => Core
2020-01-29 11:01 inigo_lerga Triggers an Emergency Pack => No
2020-01-29 11:01 inigo_lerga Relationship added related to 0041287
2020-01-29 11:01 inigo_lerga Status new => scheduled
2020-01-29 14:33 inigo_lerga Description Updated View Revisions
2020-02-11 14:48 inigo_lerga Description Updated View Revisions
2020-02-11 14:48 inigo_lerga Note Added: 0117641
2020-02-11 14:48 inigo_lerga Note Edited: 0117641 View Revisions
2020-02-11 14:49 inigo_lerga Note Edited: 0117641 View Revisions
2020-02-26 18:31 hgbot Checkin
2020-02-26 18:31 hgbot Note Added: 0118131
2020-02-26 18:31 hgbot Status scheduled => resolved
2020-02-26 18:31 hgbot Resolution open => fixed
2020-02-26 18:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/292a1b2ca9748ecd9eb59493ba0c49776a99ba3c [^]
2020-02-26 18:31 hgbot Checkin
2020-02-26 18:31 hgbot Note Added: 0118132
2020-02-26 18:31 hgbot Checkin
2020-02-26 18:31 hgbot Note Added: 0118133
2020-02-26 18:31 dmiguelez Review Assigned To => dmiguelez
2020-02-26 18:31 dmiguelez Note Added: 0118134
2020-02-26 18:31 dmiguelez Status resolved => closed
2020-02-26 18:31 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker